import java.io.*;
import javax.xml.transform.Transformer;
import javax.xml.transform.TransformerFactory;
import javax.xml.transform.stream.StreamResult;
import javax.xml.transform.stream.StreamSource;
import javax.xml.transform.Templates;
public class Transform2NEIM
{
	private static Templates NYDEXTemplate;
	public static void main(String args[])
	{
		transformall("C:\\Kettle\\NYDEX\\RAWXML\\IN","C:\\Kettle\\NYDEX\\TONYDEXREPO\\","C:\\Kettle\\NYDEX\\SJS2NYDEX.xsl");
	}
	private static void init(String xslfile) {
		try {
			TransformerFactory transformerFactory = TransformerFactory.newInstance();
			NYDEXTemplate = transformerFactory.newTemplates(new StreamSource(xslfile));

		} catch (Exception ex) {
			ex.printStackTrace();
		}
	}
	public static void transformall(String rawxmlloc,String target, String xslfilename)
	{
		init(xslfilename); //loading template
		String outputfile;
		String msg;
		Transformer transformer = null;
		File directory = new File(rawxmlloc);  
		File[] files = directory.listFiles(); 
		long start=0L;
		long end=0L;
		start=System.currentTimeMillis();
		try{
		transformer = NYDEXTemplate.newTransformer();
		}
		catch(Exception ex){
				ex.printStackTrace();
		}
		for (int index = 0; index < files.length; index++) {  
			outputfile =target + files[index].getName();		   	
			try{
				transformer.transform(new StreamSource(files[index].toString()),new StreamResult(new FileOutputStream(outputfile)));
			}
			catch(Exception ex){
				ex.printStackTrace();
			}
		}
		end=System.currentTimeMillis();
		System.out.println("Total Time in seconds: "+((end-start)/1000));
	}
} 
